=== debian/changelog ===
ros-noetic-robot-mechanism-controllers (1.10.18-1buster) buster; urgency=high

  * Fix for noetic, 2to3 -w -f print (#401 <https://github.com/PR2/pr2_controllers/issues/401>)
  * use install(PROGRAMS scripts/effort.py posture.py instaed of install(FILES (#398 <https://github.com/PR2/pr2_controllers/issues/398>)
  * add effort values in joint_trajectory_action_controller/state (#397 <https://github.com/PR2/pr2_controllers/issues/397>)
  * do not find deprecated boost signals package, it was not used either (#395 <https://github.com/PR2/pr2_controllers/issues/395>)
  * add missing / to constraints parameter,  This never worked before...
  * Contributors: Kei Okada, Michael Görner, Shingo Kitagawa

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 07 May 2021 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.17-1buster) buster; urgency=high

  * Remove actionlib typedefs defined in actionlib 1.12.0 (#396 <https://github.com/PR2/pr2_controllers/issues/396>)
    * check actinlib_VERSION to removing re-typedef ResultPtr and FeedbackPtr https://github.com/ros/actionlib/issues/106
    * Remove actionlib typedefs defined upstreamSigned-off-by: Shane Loretz <sloretz@osrfoundation.org>
  * Contributors: Kei Okada, Shane Loretz

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 07 Aug 2019 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.16-1buster) buster; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#394 <https://github.com/PR2/pr2_controllers/issues/394>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 25 Jul 2019 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.15-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 12 Sep 2018 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.14-1buster) buster; urgency=high

  * Merge pull request #388 <https://github.com/PR2/pr2_controllers/issues/388> from k-okada/add_missing_dep
    add missing dependency
  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * robot_mechanism_controllers: add missing deps
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Furushchev, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.13-1buster) buster; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.12-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.10-1buster) buster; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

ros-noetic-robot-mechanism-controllers (1.10.9-1buster) buster; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000
